#!/bin/sh
# Crea archivo perm.sh que establece permisos para archivos
# modificables de acuerdo al plan de estudios.
# Dominio público. Sin garantías. 2004

catalogo="/usr/local/share/xml/structio/catalog"
xslt="/usr/local/share/sigue/xslt/planest2perm.xsl"
curdir=`pwd`;
cura=`basename $curdir`;
curp1=`dirname $curdir`;
curp=`basename $curp1`;

if (test "$curp" != "planest") then  {
	echo "Ejecute desde el directorio planest/anio";
	exit 1;
} fi;
if (test "$cura" -lt "2000") then {
	echo "Ejecute desde el directorio planest/anio";
	exit 1;
} fi;

export SGML_CATALOG_FILES=$catalogo
dcat=`dirname $catalogo`;
cmd="xsltproc --path $dcat --catalogs $xslt col.planest > perm.sh"
echo $cmd;
eval $cmd;
chmod +x perm.sh
